Subject: mesa: Build log shows "Option 'gallium-opencl' is deprecated"

From: Diederik de Haas <[email-masked]>
Date: Sat, 22 Mar 2025 11:31:18 +0100

Source: mesa
Version: 25.0.2-1
Severity: minor

I locally build this package (on an arm64 device, but I don't think
that's relevant) and in the 'build log' I saw the following:

  DEPRECATION: Option 'gallium-opencl' is deprecated

And in ``meson_options.txt`` it's indeed declared as deprecated.
It got deprecated in the following upstream commit:
46d1ff076502 ("meson: announce that clover is deprecated (slated for removal)")

Link: https://gitlab.freedesktop.org/mesa/mesa/-/merge_requests/34021

Cheers,
  Diederik

- -- System Information:
Debian Release: trixie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 6.12.17-amd64 (SMP w/16 CPU threads; PREEMPT)
Kernel taint flags: TAINT_WARN
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled